Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227273 - network-bridge scruipt does not work
Summary: network-bridge scruipt does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-04 16:22 UTC by Thilo Pfennig
Modified: 2008-02-26 23:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-26 23:53:44 UTC


Attachments (Terms of Use)
new network-bridge script with full paths. (deleted)
2007-02-04 16:22 UTC, Thilo Pfennig
no flags Details

Description Thilo Pfennig 2007-02-04 16:22:26 UTC
As path to "ip" , "route" , etc. are not full paths this script can not work.
Attaching a working version.

Comment 1 Thilo Pfennig 2007-02-04 16:22:27 UTC
Created attachment 147307 [details]
new network-bridge script with full paths.

Comment 2 Daniel Berrange 2007-02-04 16:29:15 UTC
The 'ip' and 'route' commands are both in /sbin. The initscripts are run at
boottime with /sbin in $PATH, so there is no need to have full paths in the script.

Did you perhaps try to start xend manually, after having become root without
requesting a full login shell ie su root, insteda of su - root ?

All the init scripts assume that you're running them from a root, login shell
which will ensure $PATH always has /sbin in it.


Comment 3 Red Hat Bugzilla 2007-07-25 00:05:49 UTC
change QA contact

Comment 4 Chris Lalancette 2008-02-26 23:53:44 UTC
This seems like not a bug, and FC6 is now end-of-life.  Closing.


Note You need to log in before you can comment on or make changes to this bug.